Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#404 4.1 stable: correct various errors

closed-accepted
Gerry Kroll
None
8
2007-09-08
2007-08-05
Gerry Kroll
No

When approving ANY change, even when automatic acceptance of changes is turned on, PGV errors, complaining about an invalid argument to the foreach() function on line 99 of file "includes/functions_import.php"

The attached file "includes/functions_import.php" corrects this problem.

Download the attached file, and copy it to the "includes" directory to replace the existing "functions_import.php" file.

USE THIS FILE ONLY WITH PHPGEDVIEW 4.1 STABLE.

Discussion

  • Gerry Kroll
    Gerry Kroll
    2007-08-05

    Logged In: YES
    user_id=1198414
    Originator: YES

    Replaced attahced file with the one from SVN 1393 to correct another Import error
    File Added: functions_import.php

     
  • nigelo
    nigelo
    2007-08-05

    Logged In: YES
    user_id=1254634
    Originator: NO

    Is there any way this can be put into the download zip packages, before too many people download the version with the error?

     
  • Gerry Kroll
    Gerry Kroll
    2007-08-06

    Logged In: YES
    user_id=1198414
    Originator: YES

    Attached file now contains several patch files.

    Unzip the attached file on your local PC, and copy the resultant directories to your PGV 4.1 "stable" installation on the server.
    File Added: patch_4.1_stable.zip

     
  • Gerry Kroll
    Gerry Kroll
    2007-08-06

    • summary: 4.1 stable: correct error during change approval --> 4.1 stable: correct various errors
     
  • Gerry Kroll
    Gerry Kroll
    2007-08-07

    Logged In: YES
    user_id=1198414
    Originator: YES

    File Added: patch_4.1_stable.zip

     
  • Gerry Kroll
    Gerry Kroll
    2007-08-07

    Logged In: YES
    user_id=1198414
    Originator: YES

    File Added: patch_4.1_stable.zip

     
  • Gerry Kroll
    Gerry Kroll
    2007-08-20

    Logged In: YES
    user_id=1198414
    Originator: YES

    Patch file replaced again, to correct additional "serious" errors.

    This patch file is *not* required for version 4.1.1 -- all corrections in this file are included in that version.
    File Added: patch_4.1_stable.zip

     
  • John Finlay
    John Finlay
    2007-09-08

    • status: open --> closed-accepted
     
  • John Finlay
    John Finlay
    2007-09-08

    Logged In: YES
    user_id=300048
    Originator: NO

    This patch has been merged into the code and was included in the
    lastest final version release.

    Please download the newest release.

    Thanks